0

I am trying to install Magento 2.4.2 , and I am getting this error

PHP Warning:  require(C:\xampp-clean\htdocs\magento242\vendor\composer/../phpsta
n/phpstan/bootstrap.php): failed to open stream: No such file or directory in C:
\xampp-clean\htdocs\magento242\vendor\composer\autoload_real.php on line 73

The command that I am used that is causing this error is :

php bin/magento setup:install --base-url="http://ahmed.magento/" --db-host="localhost" --db-name="magento242" --db-user="root" --db-password="" --admin-firstname="admin" --admin-lastname="admin" --admin-email="contact@code.tn" --admin-user="admin" --admin-password="azerty123" --language="en_US" --currency="USD" --timezone="America/Chicago" --use-rewrites="1" --backend-frontname="admin" --search-engine=elasticsearch7 --elasticsearch-host="localhost" --elasticsearch-port=9200

I am using as system : Windows 10

with xampp software , Elasticsearch is running and working. Do anyone has any idea about this problem? Thanks in advance

1

I have used this and it works for me

  • Delete Composer Folder (vendor/composer)

  • Delete Autoload.php (vendor/autoload.php) Then, write on the console:

    composer install

    composer update

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.